Skip to content
DARK
PAWNS

A Multi-User DungeonEST. 1994

List shops

Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.

GET
/admin/shops
curl --request GET \
--url https://example.com/admin/shops

All shops in the loaded world with keeper, buy/sell types and profit margins.

OK

Media typeapplication/json
Array<object> | null
object
buy_types
required
Array<integer> | null
keeper_name
required
string
keeper_vnum
required
integer format: int64
profit_buy
required
number format: double
profit_sell
required
number format: double
room_vnum
required
integer format: int64
sell_types
required
Array<integer> | null
vnum
required
integer format: int64

Example generated

[
{
"buy_types": [
1
],
"keeper_name": "example",
"keeper_vnum": 1,
"profit_buy": 1,
"profit_sell": 1,
"room_vnum": 1,
"sell_types": [
1
],
"vnum": 1
}
]

Error

Media typeapplication/problem+json
object
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}